Package com.google.android.exoplayer2.audio

## Class AudioSink.ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.android.exoplayer2.audio.AudioSink.ConfigurationException

- All Implemented Interfaces:
    `Serializable`
  Enclosing interface:
    AudioSink

      public static final class AudioSink.ConfigurationException
      extends Exception

  Thrown when a failure occurs configuring the sink.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Format` | `format` | Input `Format` of the sink when the configuration failure occurs.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationException​(String message, Format format)` | Creates a new configuration exception with the specified `message` and no cause.
    `ConfigurationException​(Throwable cause, Format format)` | Creates a new configuration exception with the specified `cause` and no message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### format

          public final Format format

      Input `Format` of the sink when the configuration failure occurs.

  - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException​(Throwable cause,
                                        Format format)

      Creates a new configuration exception with the specified `cause` and no message.

    - #### ConfigurationException

          public ConfigurationException​(String message,
                                        Format format)

      Creates a new configuration exception with the specified `message` and no cause.